import { ComponentProps } from 'react';
import { VariantProps } from 'class-variance-authority';

declare const menuStyles: (props?: ({
    variant?: "ghost" | null | undefined;
    size?: "sm" | "md" | "lg" | null | undefined;
    colorscheme?: "primary" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string;
type MenuProps = ComponentProps<"button"> & VariantProps<typeof menuStyles>;
export declare const Menu: import('react').ForwardRefExoticComponent<Omit<MenuProps, "ref"> & import('react').RefAttributes<HTMLButtonElement>>;
export {};
